/*-- pre-processor statements for conditional code --*/

/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+

    System: UCL Cryosat IO Library

    Sub-system: Cryosat Specific

    Description: Defines


    ----------------------------------------------
    Documentation cross reference:


    ----------------------------------------------
    This file lives in ---
    ./mssl_cryosat

    Coding by:
    David J Brockley
    http://cryosat.mssl.ucl.ac.uk/public

    ----------------------------------------------
    Filename              :     $RCSfile: CS_Defines.c,v $
    CVS Version Number    :     $Revision: 1.4 $
    Last Update           :     $Date: 2015/06/02 11:07:42 $
    What String           :     @(#)$Id: CS_Defines.c,v 1.4 2015/06/02 11:07:42 djb Exp $
    Log                   :
                                $Log: CS_Defines.c,v $
                                Revision 1.4  2015/06/02 11:07:42  djb
                                Preparing for release 2.2

                                Revision 1.3  2015/05/21 14:59:13  djb
                                Fix DS_NAME of L2 GDR to correspond with Baseline C files.

                                Revision 1.2  2014/12/01 11:30:14  djb
                                Pre-testing for release v2.1

                                Revision 1.1  2010/07/16 14:37:55  djb
                                Port in CryoSat tools from internal branch.



    ----------------------------------------------
    Routines:

    -----------------------------------------------------------
    This file contains the Unpublished Intellectual Property of
    University College London and All Rights Are Reserved.
        Copyright (c) University College London, 2005, 2010
    -----------------------------------------------------------
-
*/

#pragma ident "@(#)$Id: CS_Defines.c,v 1.4 2015/06/02 11:07:42 djb Exp $ MSSL"

/*-- pre-processor statements --*/

/*-- standard C headers --*/

/*-- programmer created headers --*/

/*-- constant and macro headers --*/

/*-- type definitions --*/

/*-- global and external variable declarations --*/

/*-- module private (static) variable declarations --*/

/*-- functions --*/
#include "CS_Defines.h"

/**
 * @file   CS_Defines.c
 *
 * @brief  Defines and populates global variables.
 *
 *
 */

/* From CS-RS-ACS-GS-5123 [L2-FMT] */

/**
 Strings to match within DS_NAME field of ASCII header to identify file type.
*/
char* as_CS_DS_NAME[ CS_DS_NAME_COUNT ] = {
    "SIR_LRM_L2                  ",
    "SIR_FDM_L2                  ",
    "SIR_SAR_L2A                 ",
    "SIR_SAR_L2B                 ",
    "SIR_SAR_L2                  ",
    "SIR_SIN_L2                  ",
    "SIR_SID_L2                  ",
    "SIR_GDR_2_                  ",
    "SIR_GDR_2A                  ",
    "SIR_GDR_2B                  ",
    "SIR_LRM_L2_I                ",
    "SIR_SAR_L2A_I               ",
    "SIR_SAR_L2B_I               ",
    "SIR_SAR_L2_I                ",
    "SIR_SIN_L2_I                ",
    "SIR_SID_L2_I                ",
    "SIR_GDR_2_I                 ",
    "SIR_GDR_2A_I                ",
    "SIR_GDR_2B_I                ",
    "SIR_L1B_LRM                 ",
    "SIR_L1B_FDM                 ",
    "SIR_L1B_SAR                 ",
    "SIR_L1B_SARIN               "
};

/** Verbose logging flag. 0 = quiet, 1 = verbose */
int gj_verbose = 0;

/** Size of the CryoSat Level 2 record on disk, in bytes. */
int J_CS_L2_RECORD_SIZE = 980;

/** Size of the CryoSat Level 2I record on disk, in bytes. */
int J_CS_L2I_RECORD_SIZE = 556;