#include "L2IStructure.h"

/**
 * @file   L2iStructure.c
 *
 * @brief  Convenience functions related to the Level 2i structure.
 *
 *
 */

void vDump_L2IData( L2IData* pt, FILE* pf )
{
    int i;
    if( pf == NULL ) pf = stdout;

    fprintf( pf, "%s = %"PRId32"\n", "j_Day", pt->j_Day );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Sec", pt->uj_Sec );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Micsec", pt->uj_Micsec );
    fprintf( pf, "%s = %"PRId32"\n", "j_USO_Corr", pt->j_USO_Corr );
    fprintf( pf, "%s = %"PRIu16"\n", "ui_Mode_ID", pt->ui_Mode_ID );
    fprintf( pf, "%s = %"PRIu16"\n", "ui_SSC", pt->ui_SSC );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Inst_config", pt->uj_Inst_config );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Rec_Count", pt->uj_Rec_Count );
    fprintf( pf, "%s = %"PRId32"\n", "j_Lat", pt->j_Lat );
    fprintf( pf, "%s = %"PRId32"\n", "j_Lon", pt->j_Lon );
    fprintf( pf, "%s = %"PRId32"\n", "j_Alt", pt->j_Alt );
    fprintf( pf, "%s = %"PRId32"\n", "j_Alt_rate", pt->j_Alt_rate );
    fprintf( pf, "%s = %"PRId32" %"PRId32" %"PRId32"\n", "aj_Sat_velocity[ 3 ]", pt->aj_Sat_velocity[0], pt->aj_Sat_velocity[1], pt->aj_Sat_velocity[2] );
    fprintf( pf, "%s = %"PRId32" %"PRId32" %"PRId32"\n", "aj_Real_beam[ 3 ]", pt->aj_Real_beam[0], pt->aj_Real_beam[1], pt->aj_Real_beam[2] );
    fprintf( pf, "%s = %"PRId32" %"PRId32" %"PRId32"\n", "aj_Baseline[ 3 ]", pt->aj_Baseline[0], pt->aj_Baseline[1], pt->aj_Baseline[2] );
    fprintf( pf, "%s = %"PRIu16"\n", "i_ST_ID", pt->i_ST_ID );
    fprintf( pf, "%s = %"PRId32"\n", "j_Roll_angle", pt->j_Roll_angle );
    fprintf( pf, "%s = %"PRId32"\n", "j_Pitch_angle", pt->j_Pitch_angle );
    fprintf( pf, "%s = %"PRId32"\n", "j_Yaw_angle", pt->j_Yaw_angle );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_L2_MCD", pt->uj_L2_MCD );
    fprintf( pf, "%s = %"PRId32"\n", "j_Height", pt->j_Height );
    fprintf( pf, "%s = %"PRId32"\n", "j_Height_2", pt->j_Height_2 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Height_3", pt->j_Height_3 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Sig0", pt->j_Sig0 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Sig0_2", pt->j_Sig0_2 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Sig0_3", pt->j_Sig0_3 );
    fprintf( pf, "%s = %"PRId32"\n", "j_SWH", pt->j_SWH );
    fprintf( pf, "%s = %"PRId32"\n", "j_Peakiness", pt->j_Peakiness );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_range_C", pt->j_Retrk_range_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_range_C_2", pt->j_Retrk_range_C_2 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_range_C_3", pt->j_Retrk_range_C_3 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_sig0_C", pt->j_Retrk_sig0_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_sig0_C_2", pt->j_Retrk_sig0_C_2 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_sig0_C_3", pt->j_Retrk_sig0_C_3 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_Quality_1", pt->j_Retrk_Quality_1 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_Quality_2", pt->j_Retrk_Quality_2 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_Quality_3", pt->j_Retrk_Quality_3 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_3", pt->j_Retrk_3 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_4", pt->j_Retrk_4 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_5", pt->j_Retrk_5 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_6", pt->j_Retrk_6 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_7", pt->j_Retrk_7 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_8", pt->j_Retrk_8 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_9", pt->j_Retrk_9 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_10", pt->j_Retrk_10 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_11", pt->j_Retrk_11 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_12", pt->j_Retrk_12 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_13", pt->j_Retrk_13 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_14", pt->j_Retrk_14 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_15", pt->j_Retrk_15 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_16", pt->j_Retrk_16 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_17", pt->j_Retrk_17 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_18", pt->j_Retrk_18 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_19", pt->j_Retrk_19 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_20", pt->j_Retrk_20 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_21", pt->j_Retrk_21 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_22", pt->j_Retrk_22 );
    fprintf( pf, "%s = %"PRId32"\n", "j_Retrk_23", pt->j_Retrk_23 );
    fprintf( pf, "%s = %"PRId32"\n", "j_echo_shape", pt->j_echo_shape );
    fprintf( pf, "%s = ", "ai_bb_param" );
    for( i = 0; i < 50; i++ ) fprintf( pf, "%"PRId16"%c", pt->ai_bb_param[i],(i==49)?'\n':' ' );
    fprintf( pf, "%s = %"PRId32"\n", "j_XTrack_angle", pt->j_XTrack_angle );
    fprintf( pf, "%s = %"PRId32"\n", "j_XTrack_angle_C", pt->j_XTrack_angle_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_Coherence", pt->j_Coherence );
    fprintf( pf, "%s = %"PRId32"\n", "j_Ocean_ht", pt->j_Ocean_ht );
    fprintf( pf, "%s = %"PRId32"\n", "j_Freeboard", pt->j_Freeboard );
    fprintf( pf, "%s = %"PRId32"\n", "j_SHA", pt->j_SHA );
    fprintf( pf, "%s = %"PRId32"\n", "j_SSHA_interp", pt->j_SSHA_interp );
    fprintf( pf, "%s = %"PRIu16"\n", "ui_interp_err", pt->ui_interp_err );
    fprintf( pf, "%s = %"PRIu16"\n", "ui_interp_cnt_fwd", pt->ui_interp_cnt_fwd );
    fprintf( pf, "%s = %"PRIu16"\n", "ui_interp_cnt_bkwd", pt->ui_interp_cnt_bkwd );
    fprintf( pf, "%s = %"PRIu16"\n", "ui_interp_time_fwd", pt->ui_interp_time_fwd );
    fprintf( pf, "%s = %"PRIu16"\n", "ui_interp_time_bkwd", pt->ui_interp_time_bkwd );
    fprintf( pf, "%s = %"PRIu16"\n", "ui_interp_error_F", pt->ui_interp_error_F );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Meas_Mode", pt->uj_Meas_Mode );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Quality_F", pt->uj_Quality_F );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Retracker_F", pt->uj_Retracker_F );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Ht_status", pt->uj_Ht_status );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Freeb_status", pt->uj_Freeb_status );
    fprintf( pf, "%s = %"PRIu16"\n", "ui_n_avg", pt->ui_n_avg );
    fprintf( pf, "%s = %"PRIu16"\n", "ui_Wind_speed", pt->ui_Wind_speed );
    fprintf( pf, "%s = %"PRId32"\n", "j_Ice_conc", pt->j_Ice_conc );
    fprintf( pf, "%s = %"PRId32"\n", "j_Snow_depth", pt->j_Snow_depth );
    fprintf( pf, "%s = %"PRId32"\n", "j_Snow_density", pt->j_Snow_density );
    fprintf( pf, "%s = %"PRId32"\n", "j_Discriminator", pt->j_Discriminator );
    fprintf( pf, "%s = %"PRId32"\n", "j_SARin_disc_1", pt->j_SARin_disc_1 );
    fprintf( pf, "%s = %"PRId32"\n", "j_SARin_disc_2", pt->j_SARin_disc_2 );
    fprintf( pf, "%s = %"PRId32"\n", "j_SARin_disc_3", pt->j_SARin_disc_3 );
    fprintf( pf, "%s = %"PRId32"\n", "j_SARin_disc_4", pt->j_SARin_disc_4 );
    fprintf( pf, "%s = %"PRId32"\n", "j_SARin_disc_5", pt->j_SARin_disc_5 );
    fprintf( pf, "%s = %"PRId32"\n", "j_SARin_disc_6", pt->j_SARin_disc_6 );
    fprintf( pf, "%s = %"PRId32"\n", "j_SARin_disc_7", pt->j_SARin_disc_7 );
    fprintf( pf, "%s = %"PRId32"\n", "j_SARin_disc_8", pt->j_SARin_disc_8 );
    fprintf( pf, "%s = %"PRId32"\n", "j_SARin_disc_9", pt->j_SARin_disc_9 );
    fprintf( pf, "%s = %"PRId32"\n", "j_SARin_disc_10", pt->j_SARin_disc_10 );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Discrim_F", pt->uj_Discrim_F );
    fprintf( pf, "%s = %"PRId32"\n", "j_Attitude", pt->j_Attitude );
    fprintf( pf, "%s = %"PRId32"\n", "j_Azimuth", pt->j_Azimuth );
    fprintf( pf, "%s = %"PRId32"\n", "j_Slope_Doppler_C", pt->j_Slope_Doppler_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_Lat_sat", pt->j_Lat_sat );
    fprintf( pf, "%s = %"PRId32"\n", "j_Lon_sat", pt->j_Lon_sat );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Ambiguity", pt->uj_Ambiguity );
    fprintf( pf, "%s = %"PRId32"\n", "j_MSS_mod", pt->j_MSS_mod );
    fprintf( pf, "%s = %"PRId32"\n", "j_Geoid_mod", pt->j_Geoid_mod );
    fprintf( pf, "%s = %"PRId32"\n", "j_ODLE_mod", pt->j_ODLE_mod );
    fprintf( pf, "%s = %"PRId32"\n", "j_DEM_elev", pt->j_DEM_elev );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_DEM_id", pt->uj_DEM_id );
    fprintf( pf, "%s = %"PRId32"\n", "j_Dry_C", pt->j_Dry_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_Wet_C", pt->j_Wet_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_IB_C", pt->j_IB_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_DAC_C", pt->j_DAC_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_Iono_GIM", pt->j_Iono_GIM );
    fprintf( pf, "%s = %"PRId32"\n", "j_Iono_mod", pt->j_Iono_mod );
    fprintf( pf, "%s = %"PRId32"\n", "j_H_OT", pt->j_H_OT );
    fprintf( pf, "%s = %"PRId32"\n", "j_H_LPEOT", pt->j_H_LPEOT );
    fprintf( pf, "%s = %"PRId32"\n", "j_H_OLT", pt->j_H_OLT );
    fprintf( pf, "%s = %"PRId32"\n", "j_H_SET", pt->j_H_SET );
    fprintf( pf, "%s = %"PRId32"\n", "j_H_GPT", pt->j_H_GPT );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Surf_type", pt->uj_Surf_type );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Corr_status", pt->uj_Corr_status );
    fprintf( pf, "%s = %"PRIu32"\n", "uj_Corr_error", pt->uj_Corr_error );
    fprintf( pf, "%s = %"PRId32"\n", "j_SSB", pt->j_SSB );
    fprintf( pf, "%s = %"PRId32"\n", "j_Dopp_rc", pt->j_Dopp_rc );
    fprintf( pf, "%s = %"PRId32"\n", "j_TR_inst_rc", pt->j_TR_inst_rc );
    fprintf( pf, "%s = %"PRId32"\n", "j_R_inst_rc", pt->j_R_inst_rc );
    fprintf( pf, "%s = %"PRId32"\n", "j_TR_inst_gain_C", pt->j_TR_inst_gain_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_R_inst_gain_C", pt->j_R_inst_gain_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_Int_phase_C", pt->j_Int_phase_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_Ext_phase_C", pt->j_Ext_phase_C );
    fprintf( pf, "%s = %"PRId32"\n", "j_Noise_pwr", pt->j_Noise_pwr );
    fprintf( pf, "%s = %"PRId32"\n", "j_Phase_slope_C", pt->j_Phase_slope_C );
}
