/*-- pre-processor statements for conditional code --*/

/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+

    System: UCL Cryosat IO Library

    Sub-system: Cryosat Specific

    Description: Get number of records in a dataset


    ----------------------------------------------
    Documentation cross reference:


    ----------------------------------------------
    This file lives in ---
    ./mssl_cryosat

    Coding by:
    David J Brockley
    http://cryosat.mssl.ucl.ac.uk/public

    ----------------------------------------------
    Filename              :     $RCSfile: jCSNumRecordsInDataset.c,v $
    CVS Version Number    :     $Revision: 1.2 $
    Last Update           :     $Date: 2015/06/02 11:07:43 $
    What String           :     @(#)$Id: jCSNumRecordsInDataset.c,v 1.2 2015/06/02 11:07:43 djb Exp $
    Log                   :
                                $Log: jCSNumRecordsInDataset.c,v $
                                Revision 1.2  2015/06/02 11:07:43  djb
                                Preparing for release 2.2

                                Revision 1.1  2010/07/16 14:37:56  djb
                                Port in CryoSat tools from internal branch.




    ----------------------------------------------
    Routines:
    jCSNumRecordsInDataset

    -----------------------------------------------------------
    This file contains the Unpublished Intellectual Property of
    University College London and All Rights Are Reserved.
        Copyright (c) University College London, 2005, 2010
    -----------------------------------------------------------
-
*/

/**
 * @file   jCSNumRecordsInDataset.c
 *
 * @brief  Implementation of function to retrieve number of records in a dataset within
 * a file.
 *
 *
 */
#pragma ident "@(#)$Id: jCSNumRecordsInDataset.c,v 1.2 2015/06/02 11:07:43 djb Exp $ MSSL"

/*-- pre-processor statements --*/

/*-- standard C headers --*/

/*-- programmer created headers --*/
#include "jCSNumRecordsInDataset.h"

/*-- constant and macro headers --*/

/*-- type definitions --*/

/*-- global and external variable declarations --*/

/*-- module private (static) variable declarations --*/

/*-- functions --*/

long int
jCSNumRecordsInDataset( t_cs_filehandle t_handle,
                        long int        j_dataset )
{
    if( ( t_handle != NULL ) &&
       ( j_dataset < t_handle->j_num_datasets ) &&
       ( j_dataset >= 0 ) )
    {
        return t_handle->paj_num_records[ j_dataset ];
    }

    return -1;
}
