#ifndef JCSNUMRECORDSINDATASET_H_
#define JCSNUMRECORDSINDATASET_H_

/*-- pre-processor statements for conditional code --*/

/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+

    System: UCL Cryosat IO Library

    Sub-system: Cryosat Specific

    Description: Header


    ----------------------------------------------
    Documentation cross reference:


    ----------------------------------------------
    This file lives in ---
    ./mssl_cryosat

    Coding by:
    David J Brockley
    http://cryosat.mssl.ucl.ac.uk/public

    ----------------------------------------------
    Filename              :     $RCSfile: jCSNumRecordsInDataset.h,v $
    CVS Version Number    :     $Revision: 1.1 $
    Last Update           :     $Date: 2010/07/16 14:37:56 $
    What String           :     @(#)$Id: jCSNumRecordsInDataset.h,v 1.1 2010/07/16 14:37:56 djb Exp $
    Log                   :
                                $Log: jCSNumRecordsInDataset.h,v $
                                Revision 1.1  2010/07/16 14:37:56  djb
                                Port in CryoSat tools from internal branch.



    -----------------------------------------------------------
    This file contains the Unpublished Intellectual Property of
    University College London and All Rights Are Reserved.
        Copyright (c) University College London, 2005, 2010
    -----------------------------------------------------------
-
*/

#pragma ident "@(#)$Id: jCSNumRecordsInDataset.h,v 1.1 2010/07/16 14:37:56 djb Exp $ MSSL"

/*-- pre-processor statements --*/

/*-- standard C headers --*/

/*-- programmer created headers --*/
#include "ptCSGetFileHandle.h"

/*-- constant and macro headers --*/

/*-- type definitions --*/

/*-- global and external variable declarations --*/

/*-- module private (static) variable declarations --*/

/*-- functions --*/

/**
 * @file   jCSNumRecordsInDataset.h
 *
 * @brief  Function to retrieve number of records in a dataset within
 * a file.
 *
 *
 */

/**
 * Retrieve the number of records in a certain dataset within a file
 * from a handle attched to that file.
 *
 * @ingroup CS_SHARED_IO_API_HIGH
 *
 * @param t_handle A handle to the file to examine.
 * @param j_dataset The index of the dataset, starting at zero, to query.
 *
 * @return The number of records in that dataset. The value -1
 * represents bad parameters passed to the function.
 */
long int jCSNumRecordsInDataset( t_cs_filehandle t_handle,
                                 long int        j_dataset );

#endif /* ifndef JCSNUMRECORDSINDATASET_H_ */
