/*-- pre-processor statements for conditional code --*/

/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+

    System: UCL Cryosat IO Library

    Sub-system: Cryosat Specific

    Description: Free filehandle


    ----------------------------------------------
    Documentation cross reference:


    ----------------------------------------------
    This file lives in ---
    ./mssl_cryosat

    Coding by:
    David J Brockley
    http://cryosat.mssl.ucl.ac.uk/public

    ----------------------------------------------
    Filename              :     $RCSfile: vCSFreeFileHandle.c,v $
    CVS Version Number    :     $Revision: 1.3 $
    Last Update           :     $Date: 2015/06/02 11:07:44 $
    What String           :     @(#)$Id: vCSFreeFileHandle.c,v 1.3 2015/06/02 11:07:44 djb Exp $
    Log                   :
                                $Log: vCSFreeFileHandle.c,v $
                                Revision 1.3  2015/06/02 11:07:44  djb
                                Preparing for release 2.2

                                Revision 1.2  2014/12/01 11:30:14  djb
                                Pre-testing for release v2.1

                                Revision 1.1  2010/07/16 14:37:56  djb
                                Port in CryoSat tools from internal branch.


    ----------------------------------------------
    Routines:
    vCSFreeFileHandle

    -----------------------------------------------------------
    This file contains the Unpublished Intellectual Property of
    University College London and All Rights Are Reserved.
        Copyright (c) University College London, 2005, 2010
    -----------------------------------------------------------
-
*/

/**
 * @file   vCSFreeFileHandle.c
 *
 * @brief  Implementation of functions to release file handles.
 *
 *
 */

#pragma ident "@(#)$Id: vCSFreeFileHandle.c,v 1.3 2015/06/02 11:07:44 djb Exp $ MSSL"

/*-- pre-processor statements --*/

/*-- standard C headers --*/
#include <stdio.h>
#include <stdlib.h>

/*-- programmer created headers --*/
#include "vCSFreeFileHandle.h"

/*-- constant and macro headers --*/

/*-- type definitions --*/

/*-- global and external variable declarations --*/

/*-- module private (static) variable declarations --*/

/*-- functions --*/

void
vCSFreeFileHandle( t_cs_filehandle t_handle )
{
    if( t_handle != NULL )
    {
        if( t_handle->pat_data_start_offsets )
        {
            free( t_handle->pat_data_start_offsets );
        }

        if( t_handle->paj_num_records )
        {
            free( t_handle->paj_num_records );
        }

        if( t_handle->pt_filepointer )
        {
            fclose( t_handle->pt_filepointer );
        }

        free( t_handle );
    }
} /* vCSFreeFileHandle */
