#ifndef VCSFREEFILEHANDLE_H_
#define VCSFREEFILEHANDLE_H_

/*-- pre-processor statements for conditional code --*/

/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+

    System: UCL Cryosat IO Library

    Sub-system: Cryosat Specific

    Description: Header


    ----------------------------------------------
    Documentation cross reference:


    ----------------------------------------------
    This file lives in ---
    ./mssl_cryosat

    Coding by:
    David J Brockley
    http://cryosat.mssl.ucl.ac.uk/public

    ----------------------------------------------
    Filename              :     $RCSfile: vCSFreeFileHandle.h,v $
    CVS Version Number    :     $Revision: 1.1 $
    Last Update           :     $Date: 2010/07/16 14:37:56 $
    What String           :     @(#)$Id: vCSFreeFileHandle.h,v 1.1 2010/07/16 14:37:56 djb Exp $
    Log                   :
                                $Log: vCSFreeFileHandle.h,v $
                                Revision 1.1  2010/07/16 14:37:56  djb
                                Port in CryoSat tools from internal branch.


    -----------------------------------------------------------
    This file contains the Unpublished Intellectual Property of
    University College London and All Rights Are Reserved.
        Copyright (c) University College London, 2005, 2010
    -----------------------------------------------------------
-
*/

#pragma ident "@(#)$Id: vCSFreeFileHandle.h,v 1.1 2010/07/16 14:37:56 djb Exp $ MSSL"

/*-- pre-processor statements --*/

/*-- standard C headers --*/

/*-- programmer created headers --*/
#include "ptCSGetFileHandle.h"

/*-- constant and macro headers --*/

/*-- type definitions --*/

/*-- global and external variable declarations --*/

/*-- module private (static) variable declarations --*/

/*-- functions --*/

/**
 * @file   vCSFreeFileHandle.h
 *
 * @brief  Functions to release file handles.
 *
 *
 */

/**
 * Indicate that a file handle is no longer needed.
 *
 * Calling this function indicates to the library that the given
 * file handle is no longer needed. This means that all memory
 * allocated by the file handle may be released and that the file can
 * be closed.
 *
 * @ingroup CS_SHARED_IO_API_HIGH
 *
 * @warning The file handle must not be re-used once this function has
 * been called.
 *
 * @param t_handle The file handle to release.
 *
 */
void vCSFreeFileHandle( t_cs_filehandle t_handle );

#endif /* ifndef VCSFREEFILEHANDLE_H_ */
