#ifndef _BITFIELDSTRUCTURE_H
#define _BITFIELDSTRUCTURE_H

/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+

    System: UCL Cryosat IO Library

    Sub-system: MSSL Shared

    Description:
    Include File.

    ----------------------------------------------
    Documentation cross reference:


    ----------------------------------------------
    This file lives in ---
    ./mssl_shared

    Coding by:
    David J Brockley
    http://cryosat.mssl.ucl.ac.uk/public

    ----------------------------------------------
    Filename              :     $RCSfile: BitfieldStructure.h,v $
    CVS Version Number    :     $Revision: 1.1 $
    Last Update           :     $Date: 2010/07/16 14:37:56 $
    What String           :     @(#)$Id: BitfieldStructure.h,v 1.1 2010/07/16 14:37:56 djb Exp $
    Log                   :
                                $Log: BitfieldStructure.h,v $
                                Revision 1.1  2010/07/16 14:37:56  djb
                                Port in CryoSat tools from internal branch.

                                Revision 1.2  2005/09/26 09:50:20  djb
                                Changes to documentation.

                                Revision 1.1.1.1  2005/09/23 13:51:56  djb
                                Initial import of sources to CVS.




    ---------------------------------------------------------------------------
    This file is the Unpublished Intellectual
    Property of University College London and
    All Rights are Reserved.

    Copyright (c) University College London, 2005
    ---------------------------------------------------------------------------
-
*/

#pragma ident "@(#)$Id: BitfieldStructure.h,v 1.1 2010/07/16 14:37:56 djb Exp $ MSSL"

/* INCLUDE FILES */

/*-- standard C headers --*/

/*-- programmer created headers --*/

/*-- global and external variable declarations --*/

/* STRUCTURES */

/* FUNCTIONS */

/*-- local function prototypes --*/

/* 4 byte bit field for flagging */
typedef union
{
    unsigned long int field;
    struct
    {
        int bit0 : 1;
        int bit1 : 1;
        int bit2 : 1;
        int bit3 : 1;
        int bit4 : 1;
        int bit5 : 1;
        int bit6 : 1;
        int bit7 : 1;
        int bit8 : 1;
        int bit9 : 1;
        int bit10 : 1;
        int bit11 : 1;
        int bit12 : 1;
        int bit13 : 1;
        int bit14 : 1;
        int bit15 : 1;
        int bit16 : 1;
        int bit17 : 1;
        int bit18 : 1;
        int bit19 : 1;
        int bit20 : 1;
        int bit21 : 1;
        int bit22 : 1;
        int bit23 : 1;
        int bit24 : 1;
        int bit25 : 1;
        int bit26 : 1;
        int bit27 : 1;
        int bit28 : 1;
        int bit29 : 1;
        int bit30 : 1;
        int bit31 : 1;
    } flags;
}
t_BF_4;

/* 2 byte bitfield for flagging */
typedef union
{
    unsigned short int field;
    struct
    {
        int bit0 : 1;
        int bit1 : 1;
        int bit2 : 1;
        int bit3 : 1;
        int bit4 : 1;
        int bit5 : 1;
        int bit6 : 1;
        int bit7 : 1;
        int bit8 : 1;
        int bit9 : 1;
        int bit10 : 1;
        int bit11 : 1;
        int bit12 : 1;
        int bit13 : 1;
        int bit14 : 1;
        int bit15 : 1;
    } flags;
}
t_BF_2;

#endif /* _BITFIELDSTRUCTURE_H */
