/*-- pre-processor statements for conditional code --*/

/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+

    System: UCL Cryosat IO Library

    Sub-system: MSSL Shared

    Description: Check for the presence of an MPH on a file.


    ----------------------------------------------
    Documentation cross reference:


    ----------------------------------------------
    This file lives in ---
    ./mssl_shared

    Coding by:
    David J Brockley
    http://cryosat.mssl.ucl.ac.uk/public

    ----------------------------------------------
    Filename              :     $RCSfile: jCheckFileForMPH.c,v $
    CVS Version Number    :     $Revision: 1.2 $
    Last Update           :     $Date: 2014/12/01 11:30:14 $
    What String           :     @(#)$Id: jCheckFileForMPH.c,v 1.2 2014/12/01 11:30:14 djb Exp $
    Log                   :
                                $Log: jCheckFileForMPH.c,v $
                                Revision 1.2  2014/12/01 11:30:14  djb
                                Pre-testing for release v2.1

                                Revision 1.1  2010/07/16 14:37:56  djb
                                Port in CryoSat tools from internal branch.

                                Revision 1.2  2005/09/26 09:50:20  djb
                                Changes to documentation.

                                Revision 1.1.1.1  2005/09/23 13:51:56  djb
                                Initial import of sources to CVS.


    ----------------------------------------------
    Routines:
    jCheckFileForMPH

    -----------------------------------------------------------
    This file contains the Unpublished Intellectual Property of
    University College London and All Rights Are Reserved.
        Copyright (c) University College London, 2005
    -----------------------------------------------------------
-
*/

#pragma ident "@(#)$Id: jCheckFileForMPH.c,v 1.2 2014/12/01 11:30:14 djb Exp $ MSSL"

/*-- pre-processor statements --*/

/*-- standard C headers --*/
#include <stdio.h>
#include <string.h>

/*-- programmer created headers --*/
#include "jCheckFileForMPH.h"

/*-- constant and macro headers --*/

/*-- type definitions --*/

/*-- global and external variable declarations --*/

/*-- module private (static) variable declarations --*/

/*-- functions --*/

long int
jCheckFileForMPH( char* s_filename )
{
    FILE*    pt_file        = NULL;
    long int j_result       = 0;

    char     s_identifier[] = "PRODUCT";
    char     s_buffer[ sizeof( s_identifier ) ];

    pt_file = fopen( s_filename, "rb" );

    if( pt_file == NULL )
    {
        return FALSE;
    }

    j_result = fread( s_buffer, sizeof( s_identifier ) - 1, 1, pt_file );

    fclose( pt_file );

    if( j_result != 1 )
    {
        return FALSE;
    }

    if( !strncmp( s_buffer, s_identifier, sizeof( s_identifier ) - 1 ) )
    {
        return TRUE;
    }

    return FALSE;
} /* jCheckFileForMPH */
