#ifndef _JIOFUNCTIONS_H
#define _JIOFUNCTIONS_H

/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+

    System: UCL Cryosat IO Library

    Sub-system: MSSL Shared

    Description:
    Include File.

    ----------------------------------------------
    Documentation cross reference:


    ----------------------------------------------
    This file lives in ---
    ./mssl_shared

    Coding by:
    David J Brockley
    http://cryosat.mssl.ucl.ac.uk/public

    ----------------------------------------------
    Filename              :     $RCSfile: jIOFunctions.h,v $
    CVS Version Number    :     $Revision: 1.1 $
    Last Update           :     $Date: 2010/07/16 14:37:56 $
    What String           :     @(#)$Id: jIOFunctions.h,v 1.1 2010/07/16 14:37:56 djb Exp $
    Log                   :
                                $Log: jIOFunctions.h,v $
                                Revision 1.1  2010/07/16 14:37:56  djb
                                Port in CryoSat tools from internal branch.

                                Revision 1.2  2005/09/26 09:50:20  djb
                                Changes to documentation.

                                Revision 1.1.1.1  2005/09/23 13:51:56  djb
                                Initial import of sources to CVS.




    ---------------------------------------------------------------------------
    This file is the Unpublished Intellectual
    Property of University College London and
    All Rights are Reserved.

    Copyright (c) University College London, 2005
    ---------------------------------------------------------------------------
-
*/

#pragma ident "@(#)$Id: jIOFunctions.h,v 1.1 2010/07/16 14:37:56 djb Exp $ MSSL"

/* INCLUDE FILES */

/*-- standard C headers --*/
#include <stdio.h>
#include <stdlib.h>

/*-- programmer created headers --*/

/*-- global and external variable declarations --*/

/* STRUCTURES */

/* FUNCTIONS */

/*-- local function prototypes --*/
extern short int gi_do_byteswap;

long int jReadChar( FILE* fptr,
                    void* pc_value );

long int jReadShortInt( FILE* fptr,
                        void* pi_value );

long int jReadLongInt( FILE* fptr,
                       void* pj_value );

long int jReadFloat( FILE* fptr,
                     void* pf_value );

long int jReadDouble( FILE* fptr,
                      void* pd_value );

long int jReadLongLongInt( FILE* fptr,
                           void* pk_value );

long int jWriteChar( FILE* fptr,
                     void* pc_value );

long int jWriteShortInt( FILE* fptr,
                         void* pi_value );

long int jWriteLongInt( FILE* fptr,
                        void* pj_value );

long int jWriteFloat( FILE* fptr,
                      void* pf_value );

long int jWriteDouble( FILE* fptr,
                       void* pd_value );

long int jWriteLongLongInt( FILE* fptr,
                            void* pk_value );

short int iTestEndian( void );

#endif /* _JIOFUNCTIONS_H */
