; %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;+
;   System:     Cryosat IPF
;   Sub-system: IDL Support
;
; ------------------------------------------------------------------------------
;
;    Filename              :     $RCSfile: PDSglobals.inc,v $
;    CVS Version Number    :     $Revision: 1.2 $
;    Last Update           :     $Date: 2014/12/01 11:30:15 $
;    What String           :     "@(#)$Id: PDSglobals.inc,v 1.2 2014/12/01 11:30:15 djb Exp $"
;    Log                   :     
;                                 $Log: PDSglobals.inc,v $
;                                 Revision 1.2  2014/12/01 11:30:15  djb
;                                 Pre-testing for release v2.1
;
;
;
; ------------------------------------------------------------------------------
;
;   Purpose : Define PDS related constants
;
; ------------------------------------------------------------------------------
;
;   Documentation cross reference
;   none
;
; ------------------------------------------------------------------------------
;
;   Coding by:
;   S.G. Baker	   Created:    9/11/99
;   S.G. Baker	               22/11/01  Update Max records and add L0
;
;   Reviewed by:
;
;   Tested by:
;
; ------------------------------------------------------------------------------
;   Calling tree : 
;        Included by : n/a (library include)
;        Includes    : none
; ------------------------------------------------------------------------------
;   Global Variable Documentation
;     none
; ------------------------------------------------------------------------------
;
;   Copyright (c) University College London, 1999, 2001, 2005
;
; ------------------------------------------------------------------------------
;
;-
; Define constant values associated with PDS file formats

    n_MPH_lines	=	41	; number of text lines in standard MPH
    MPH_size	=	1247	; number of bytes in standard MPH
    n_DSD_lines =	8	; number of text lines in a DSD

                 
; -----------------------------------------------------------------------------
; Define values for j_max_PDSrecords
; 	This is the maximum number of records which can be read into memory
;	at any one time. The upper limit on this variable is dependent only 
;	on the amount of memory available on the host machine.

    j_max_PDSrecords =	1000000 ; Maximum number of records read at any one time

