; %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;+
;   System:     Cryosat IPF
;   Sub-system: IDL Support
;
; ------------------------------------------------------------------------------
;
;    Filename              :     $RCSfile: report_error.pro,v $
;    CVS Version Number    :     $Revision: 1.2 $
;    Last Update           :     $Date: 2014/12/01 11:30:15 $
;    What String           :     "@(#)$Id: report_error.pro,v 1.2 2014/12/01 11:30:15 djb Exp $"
;    Log                   :     
;                                 $Log: report_error.pro,v $
;                                 Revision 1.2  2014/12/01 11:30:15  djb
;                                 Pre-testing for release v2.1
;
;
; ------------------------------------------------------------------------------
;
;   Purpose : Reports errors generated within an IDL module.
;   Produces text output within a MOTIF text window. Defaults to stdout if
;   widgets are not available.
;
; ------------------------------------------------------------------------------
;
;   Documentation cross reference
;   none
;
; ------------------------------------------------------------------------------
;
;   Coding by:
;   C.L. Whaley	    Created: 27/06/96	      Version 1.0
;
;   Reviewed by:
;   
;
;   Tested by:
;   C.L. Whaley	             28/06/96	      Version 1.0	
;   Simulated error conditions within an interactive IDL session. 
;
; ------------------------------------------------------------------------------
;   Keywords
;   none
;
;   Inputs
;   s_error_string : IDL Error String	(mandatory)
;
;   Outputs
;   none;
;
; ------------------------------------------------------------------------------
;   Calling tree:
;        Included by : none
;        Includes    : none
;          Called by : n/a (library routine) 
;          Calls     : none
;
; ------------------------------------------------------------------------------
;
;   Global Variable Documentation
;   none
;
; ------------------------------------------------------------------------------
;
;   Copyright (c) University College London, 1996, 2005, 2014 
;
; ------------------------------------------------------------------------------
;
;-

PRO report_error, s_error_string

    print,string(7b)	; Beep

    if (!D.FLAGS and 65536) ne 0 then $
    begin
        widget_id = WIDGET_MESSAGE(s_error_string,/ERROR,TITLE='Cryosat File Read Error')
    endif $

    else $
    begin
        print, 'MOTIF WIDGETS NOT AVAILABLE: Printing error messages to stdout'
        print, s_error_string
    endelse

end		;report_error
